Subject: bug#15365: 24.3.50; Segfault when calling vc-git-log-edit-toggle-amend

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Sep 2013 16:29:02 +0300

> Date: Sat, 14 Sep 2013 16:05:27 +0300
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> On 14.09.2013 11:02, Eli Zaretskii wrote:
> > If you can reproduce this with bzr (I tried, but couldn't), please
> > show the recipe.
> 
> There's no point trying, vc-bzr doesn't have a corresponding command.

Yes, but I didn't know that until I tried.

> > I have a number of local bzr repositories, and can
> > create new ones at will, so I can use them for testing.  For any other
> > VCS, I have only remote repositories on my machine, and I don't dare
> > to run such tests for a remote repo.  If you can set up some scratch
> > git repo for me at some URL, I will try using that to work on this
> > bug.
> 
> Why scratch?

Because it could be messed up by the testing.

> Since we're talking about a DVCS, you'd have to have a local repository 
> clone to interact with it. So you'll end up with a local repo anyway.

I don't know how to make sure my commits are never pushed.  I'm simply
too afraid of git, sorry.  I have a very simple workflow, which works
with a couple of git repositories I need to track for the projects
that use it to which I contribute.  It took me a while to set up that
workflow, including a couple of aliases I needed to keep me sane, and
I'm trying very hard not to deviate from that workflow.

> > And yes, I try to stay away of git, and only use a handful of commands
> > with it.  There are already people here whose refusal to use bzr is
> > silently tolerated, so I don't see why my desire not to touch git any
> > more than I have to should be met with a different reaction.
> 
> I don't think any of the people you mention are considered core 
> contributors.

I don't see the importance of this distinction: committing from git,
or even using git, is not a requirement for core contributors to
Emacs, except for Elpa.

> > Thanks, this was "the missing link".  Please try running with the
> > following change for a while, and see if it avoids the aborts, and
> > does not produce any other redisplay problems:
> 
> Thank you, the crash seems to be fixed, no new problems so far.

Thanks.  Let's wait for a few days, and if you see no adverse effects,
I will commit the changes.